local modname = minetest.get_current_modname()
local modpath = minetest.get_modpath(modname)

dofile(modpath .. "/dragonflies.lua")

minetest.register_entity(modname .. ":bug",
	{
		initial_properties =
		{
			visual = "mesh",
			mesh = modname .. "_bug.b3d",
			textures = {"eg_bugs_bug.png"},
			physical = true,
			collisionbox = {-0.35, 0, -0.35, 0.35, 0.65, 0.35},
			glow = 5,
		},
		timeout = 50,
		buoyancy = 0.2,
		lung_capacity = 10,
		max_hp = 10,
		on_step = mobkit.stepfunc,
		on_activate = mobkit.actfunc,
		get_staticdata = mobkit.statfunc,
		logic = function(self)
			
		end,
		max_speed = 5,
		jump_height = 1,
		view_range = 5,
		attack = {range = 1, damage_groups = {fleshy = 2}},
		armor_groups = {fleshy = 3}
	})


